Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.database
Class DatabaseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--de.ix.jspTutorial.database.DatabaseException

public class DatabaseException
extends java.lang.Exception

Defintion einer Datenbank-Ausnahme

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `myThrowable` Alle weiteren Exceptions
`static java.lang.String` | `vcid` Version des Source

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`DatabaseException(java.lang.String aMessage)` Setze Nachricht, die die Exception beschreibt.
`DatabaseException(java.lang.String aMessage, java.lang.Throwable aThrowable)` Setze Nachricht die Exception beschreibt.
`DatabaseException(java.lang.Throwable aThrowable)` Beschreibung des Fehlers ist aus Throwable zu bekommen.

Method Summary
`java.lang.Throwable` | `getThrowable()` Gibt gekapseltes Throwable zurück.
`void` | `setThrowable(java.lang.Throwable aThrowable)` Setzt das Throwable dieser Exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  Version des Source

### myThrowable

    protected java.lang.Throwable myThrowable

  Alle weiteren Exceptions

Constructor Detail

### DatabaseException

    public DatabaseException(java.lang.Throwable aThrowable)

  Beschreibung des Fehlers ist aus Throwable zu bekommen.
  Parameters:
    `aThrowable` - Exception die zum Abbruch führte
  See Also:
    `getThrowable()`

### DatabaseException

    public DatabaseException(java.lang.String aMessage)

  Setze Nachricht, die die Exception beschreibt.
  Parameters:
    `aMessage` -
  See Also:
    `Throwable.getMessage()`

### DatabaseException

    public DatabaseException(java.lang.String aMessage,
                             java.lang.Throwable aThrowable)

  Setze Nachricht die Exception beschreibt.
  Parameters:
    `aMessage` - Beschreibung des Fehlers
    `aThrowable` - Throwbale, das zum Abbruch führte
  See Also:
    `Throwable.getMessage()`, `getThrowable()`

Method Detail

### setThrowable

    public void setThrowable(java.lang.Throwable aThrowable)

  Setzt das Throwable dieser Exception.
  Parameters:
    `aThrowable` -

### getThrowable

    public java.lang.Throwable getThrowable()

  Gibt gekapseltes Throwable zurück.
  Parameters:
    `aThrowable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~